Bessel Functions
Base Module

## Functions

double | itpp::besselj (int nu, double x)
| Bessel function of first kind of order nu for nu integer. More...
vec | itpp::besselj (int nu, const vec &x)
| Bessel function of first kind of order nu for nu integer.
double | itpp::besselj (double nu, double x)
| Bessel function of first kind of order nu. nu is real.
vec | itpp::besselj (double nu, const vec &x)
| Bessel function of first kind of order nu. nu is real.
double | itpp::bessely (int nu, double x)
| Bessel function of second kind of order nu. nu is integer. More...
vec | itpp::bessely (int nu, const vec &x)
| Bessel function of second kind of order nu. nu is integer.
double | itpp::bessely (double nu, double x)
| Bessel function of second kind of order nu. nu is real.
vec | itpp::bessely (double nu, const vec &x)
| Bessel function of second kind of order nu. nu is real.
double | itpp::besseli (double nu, double x)
| Modified Bessel function of first kind of order nu. nu is double. x is double. More...
vec | itpp::besseli (double nu, const vec &x)
| Modified Bessel function of first kind of order nu. nu is double. x is double.
double | itpp::besselk (int nu, double x)
| Modified Bessel function of second kind of order nu. nu is double. x is double. More...
vec | itpp::besselk (int nu, const vec &x)
| Modified Bessel function of second kind of order nu. nu is double. x is double.

## Detailed Description

end of math group

## Function Documentation

## besselj()

ITPP_EXPORT double itpp::besselj | ( | int | nu,
|  | double | x
| ) |  |

Bessel function of first kind of order nu for nu integer.

The bessel function of first kind is defined as:

where is the order and .

Definition at line 44 of file bessel.cpp.

Referenced by itpp::FIR_Fading_Generator::Jakes_filter().

## bessely()

ITPP_EXPORT double itpp::bessely | ( | int | nu,
|  | double | x
| ) |  |

Bessel function of second kind of order nu. nu is integer.

The Bessel function of second kind is defined as:

where is the order and .

Definition at line 68 of file bessel.cpp.

## besseli()

ITPP_EXPORT double itpp::besseli | ( | double | nu,
|  | double | x
| ) |  |

Modified Bessel function of first kind of order nu. nu is double. x is double.

The Modified Bessel function of first kind is defined as:

where is the order and .

Definition at line 91 of file bessel.cpp.

## besselk()

ITPP_EXPORT double itpp::besselk | ( | int | nu,
|  | double | x
| ) |  |

Modified Bessel function of second kind of order nu. nu is double. x is double.

The Modified Bessel function of second kind is defined as:

where is the order and .

Definition at line 103 of file bessel.cpp.

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17